#******************************************************************************
#
#       Copyright:      2007 Paul Obermeier (obermeier@poSoft.de)
#
#                       See the file "Tcl3D_License.txt" for information on
#                       usage and redistribution of this file, and for a
#                       DISCLAIMER OF ALL WARRANTIES.
#
#       Module:         Tcl3D -> tcl3dSDL
#       Filename:       tcl3dSDLQuery.tcl
#
#       Author:         Paul Obermeier
#
#       Description:    Tcl module with Tcl3D query procedures related to
#                       the SDL module.
#
#******************************************************************************

# Get the version of the wrapped SDL library.

proc tcl3dSDLGetVersion {} {
    if { [info commands SDL_Linked_Version] ne "" } {
        set vers [SDL_Linked_Version]
        return [format "%d.%d.%d" \
                [$vers cget -major] \
                [$vers cget -minor] \
                [$vers cget -patch]]
    } else {
        return ""
    }
}
